class { '::sensu':
  enterprise                   => true,
#  enterprise_version           => $::sensu::enterprise_version,
  enterprise_dashboard         => true,
#  enterprise_dashboard_version => $::sensu::enterprise_dashboard_version,
  enterprise_dashboard_host    => $::fqdn,
  enterprise_dashboard_port    => 3000,
  enterprise_dashboard_refresh => '5',
  enterprise_dashboard_ldap    => {
    'basedn'                     => "cn=users,dc=domain,dc=tld",
    'groupbasedn'                => "cn=groups,dc=domain,dc=tld",
    'userbasedn'                 => "cn=admins,dc=domain,dc=tld",
    'binduser'                   => "cn=binder,cn=users,dc=domain,dc=tld",
    'bindpass'                   => 'secret',
    'server'                     => 'localhost',
    'port'                       => 389,
    'roles'                      => [
      {
        'name'    => 'operators',
        'members' => ['group1','group2'],
      },
      {
        'name'     => 'guests',
        'members'  => ['employees','contractors'],
        'readonly' => true,
      }
    ],
    'security'            => 'starttls',
    'userattribute'       => 'sAMAccountName',
    'disablenestedgroups' => true,
  },
  enterprise_user  => $::se_user,
  enterprise_pass  => $::se_pass,
  install_repo     => true,
  log_level        => 'info',
  purge => {
    config => true,
  },
#  rabbitmq_cluster => $rabbitmq_cluster,
#  redis_db         => $redis_db,
#  redis_host       => $redis_host,
#  version          => $client_version,
}

sensu::enterprise::dashboard::api { $::fqdn:
  datacenter => 'USW2',
  port       => 4567,
}
